package lc.esp.engine.broker;

import lc.mecha.log.MechaLogger;
import lc.mecha.log.MechaLoggerFactory;
import org.apache.activemq.broker.Broker;
import org.apache.activemq.broker.BrokerPlugin;

public class EnhancedBrokerPlugin implements BrokerPlugin {
    private static final MechaLogger logger = MechaLoggerFactory.getLogger(EnhancedBrokerPlugin.class);

    @Override
    public Broker installPlugin(Broker broker) throws Exception {
        return new EnhancedBroker(broker);
    }
}
